<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.bills.mapper.GoodsBillsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="goodsBillsResultMap" type="org.springblade.ldt.bills.entity.GoodsBills">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="receive_id" property="receiveId"/>
        <result column="pay_id" property="payId"/>
        <result column="bills_id" property="billsId"/>
        <result column="order_status" property="orderStatus"/>
        <result column="pay_status" property="payStatus"/>
        <result column="take_type" property="takeType"/>
        <result column="take_time" property="takeTime"/>
        <result column="goods_preview" property="goodsPreview"/>
        <result column="goods_total_num" property="goodsTotalNum"/>
        <result column="total_price" property="totalPrice"/>
        <result column="packing_price" property="packingPrice"/>
        <result column="sending_price" property="sendingPrice"/>
        <result column="verify_num" property="verifyNum"/>
        <result column="extra_info" property="extraInfo"/>
        <result column="expire_time" property="expireTime"/>
        <result column="pay_time" property="payTime"/>
        <result column="finish_time" property="finishTime"/>
        <result column="user_phone" property="userPhone"/>
        <result column="receiver" property="receiver"/>
        <result column="address_detail" property="addressDetail"/>
        <result column="seat_num" property="seatNum"/>
    </resultMap>


    <select id="selectGoodsBillsPage" resultMap="goodsBillsResultMap">
        select * from ldt_goods_bills where is_deleted = 0
    </select>

</mapper>
